/* timer.h */
/* Created 12/12/94 */

#ifndef TIMER_H
#define TIMER_H

// These two functions are only needed if using the custom 18.2Hz timer.
// (see timer.c)
void initTimer(void);
void deInitTimer(void);


long getTime(void);

long elapsedTime(long starttime,long timeout);

long timerSecs(long secs);
long timerTSecs(long tsecs);

// Available if not using 18.2Hz timer (using system clock()):
long timerHSecs(long hsecs);

// 100th sec or 1/18.2 sec tics.
void delayTime(long tics);

float computeFrameRate(long frames,long starttime,long endtime);

#endif

/* timer.h */
