/* test.c */
/* Created 1/15/95 */
/* Ken Hawkins */

#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include "imath1.h"
#include "timer1.h"
#include "vector1.h"
#include "clip1.h"
#include "vgfx1.h"
#include "dramgfx.h"

stereoSMC smc;

char dram[320*400];

void main(int argc,char ** argv) {
vec2 p;
vec2 out[2];
long t1,t2,frames;
long i;  
float frameRate;
  smc.msep  = TOFIXED(0.);
  smc.vmag.x = TOFIXED(.25);
  smc.vmag.y = TOFIXED(.25);
  smc.center.x = 159;
  smc.center.y = 199;
  smc.clip.min.x = 0;
  smc.clip.min.y = 0;
  smc.clip.max.x = 319;
  smc.clip.max.y = 399;
#if 1  
  smc.clip.min.z = TOFIXED(-.25);
  smc.clip.max.z = TOFIXED(-100.);
#else
  smc.clip.min.z = TOFIXED(.25);
  smc.clip.max.z = TOFIXED(100.);
#endif
  setStereoSMC(&smc);

  initXmode();

//  for (i=0; i < 320; i++) dram[i] = 255;
// for (i=0; i < 200; i++) dram[i*320+3] = 7;
//  copyPage400(0,dram);
//  getch();
//  goto done;


//  while (!getch()) {
    for (i=0; i < 320*400; i++) {
      dram[i] = rand();
    } // for
//    copyPage400(0,dram);
//  }
  
//  goto done;
//  getch();
      
  out[0].x = 0;
  out[0].y = 0;
  out[1].x = 319;
  out[1].y = 399;
  d_drawLine(dram,out,255);

  t1 = getTime();

  for (frames=0; frames < 500; frames++) {
    d_copyPage400(0,dram);
  }

  t2 = getTime();

//  goto done;

  i = 0;
  while (!kbhit()) {
#if 1    
    vec3 l[2];
#define LS ONE
#define LS2 (LS*2)
    l[0].x = rand() % LS2 - LS;
    l[0].y = rand() % LS2 - LS;
    l[0].z = rand() % LS2 - LS;
    l[1].x = rand() % LS2 - LS;
    l[1].y = rand() % LS2 - LS;
    l[1].z = rand() % LS2 - LS;
#if 0
#if 0    
    l[0].z = TOFIXED(-.5);
    l[1].z = TOFIXED(-10.);
#else    
    l[0].z = TOFIXED(.5);
    l[1].z = TOFIXED(10.);
#endif
#endif    
    if (projClipLineStereo(out,l)) {
      d_drawLine(dram,out,rand() & 0xff);
    } // if
#else
    p.x = rand()%320;
    p.y = rand()%400;
    d_setPixel(dram,&p,rand());
#endif
    if (i++==320*10) {
      i = 0;
      out[0].x = 0;
      out[0].y = 0;
      out[1].x = 319;
      out[1].y = 399;
      d_drawLine(dram,out,255);
      d_copyPage400(0,dram);
    }
  } // while

//done:
  
  deInitXmode();
  
  frameRate = computeFrameRate(frames,t1,t2);

  printf("FrameRate %f\n",frameRate);
  fflush(stdout);

} // main
