/* filter.h */
/* Created 11/22/94 */
/* Ken Hawkins */

#ifndef FILTER_H
#define FILTER_H

typedef struct filter {
  coord * history;
  coord * weights;
  long len;
  coord * hCurrent,* hEnd,* hRestart;
} filter;  

typedef struct ifilter {
  long filteredNum;
  long remainder;
  long filterRate;
} ifilter;

void initWeights(filter * f);
void initHistory(filter * f);
coord filterFIR(filter * f,coord newval);

long filterInterp(ifilter * f,long rawNum);

long initFIR(filter * f,long len);
void freeFIR(filter * f);

#endif

/* filter.h */
