/* test.c */

#include <stdio.h>
#include <conio.h>
#include <math.h>
#include "imath.h"

#define D(a) ((a)*180./M_PI)

coord lookupsin90(coord);

void main(int argc,char ** argv) {
int i;
int quit = 0;
float rs,ts,es,angle=0;
float ras,tas,eas;
float deg;
float max=0,ma;
float esum = 0,count = 0;

#if 0
  makeTables();
  exit(0);
#endif

  angle = -M_PI/2;

  while (!quit) {
    if (kbhit()) {
      switch (getch()) {
        case 'q':
        case 'Q': quit = 1; break;
      } // switch
    } // if

#define SCALE FONE

#if 0
    if (angle >= -M_PI/2 && angle <= M_PI/2) {
      float t90,r90,t90n,r90n;
      float t;
      t90 = lookupsin90(angle*SCALE)/SCALE;
      r90 = sin(angle);
      t90n = lookupsin90(-angle*SCALE)/SCALE;
      r90n = sin(-angle);
      t = abs(t90-r90) - abs(t90n-r90n);
      printf("rs %8.5f ts %8.5f d %8.5f ",r90,t90,r90-t90);
      printf("rn %8.5f tn %8.5f d %8.5f %.5f\n",r90n,t90n,r90n-t90n,t);
    } // if
#endif
    deg = angle*180./M_PI;

#if 1
{float ra,ta,s,c,d;
    s = sin(angle);
    c = cos(angle);
    ra = atan2(s,c);
    ta = TOFLOAT(getatan2(TOFIXED(s),TOFIXED(c)));
    d = ra-ta;
//    printf("A %8.4f atan2 %8.4f asin2 %8.4f d %f s %.4f c %4f\n",
//           deg,D(ra),D(ta),D(d),s,c);
    printf("A %8.4f atan2 %8.4f asin2 %8.4f d %f\n",
           deg,D(ra),D(ta),D(d));
    if (abs(d) > max && abs(d) < 5.) {
      max = abs(d);
      ma = deg;
    }
    esum += abs(d);
}
#endif

    angle += .01;
    count++;
    if (deg > 360.) break;
  } // while
  printf("Max error %f @ %f deg. Sum error %f Ave. error %f\n",D(max),ma,esum,D(esum/count));
} // main

