//
// S_Serial.h
//

#define RECEIVE_BUFFER_REGISTER		0x00
#define TRANSMIT_HOLDING_REGISTER 	0x00
#define INTERRUPT_ENABLE_REGISTER	0x01
#define LINE_CONTROL_REGISTER			0x03
#define MODEM_CONTROL_REGISTER		0x04
#define LINE_STATUS_REGISTER			0x05

#define QUEUESIZE	1024

typedef enum { false, true } boolean;

extern void S_InitSerial(void);
extern void S_ShutDownSerial(void);
extern void S_WriteChar(char data);
extern char S_ReadChar(void);
extern void S_WriteString(char *data);
extern boolean S_BufferEmpty(void);
extern void S_FlushBuffer(void);
