# Borland makefile

CC = bcc
LINK = tlink
INCLUDE = -I$(SOFT)\include
DEBUG   = -v
CFLAGS  = -c -3 -ml -f87 -Z $(DEBUG) $(INCLUDE)
BLIBDIR = /Lc:\bc\lib
#LDEBUG  = /v
LFLAGS  = $(BLIBDIR) /c /x $(LDEBUG)
LOBJS   = c0l
LIBS    = fp87 mathl cl

EXTFILES = $(SOFT)\src\imath1\imath.obj $(SOFT)\src\filter1\filter.obj $(SOFT)\src\timer1\timer.obj $(SOFT)\src\convert1\convert.obj $(SOFT)\src\clip1\clip.obj $(SOFT)\src\serial1\serial.obj

OFILES = test.obj vgfx.obj twkuser.obj

all: $(OFILES) test.exe

.c.obj:
	$(CC) $(CFLAGS) $*.c

.cpp.obj:
	$(CC) $(CFLAGS) $*.cpp

test.exe:
	$(LINK) $(LFLAGS) @&&!
$(LOBJS) $(OFILES) $(EXTFILES)
$*, , $(LIBS)
!

clean:
	del *.obj
	del *.bak

