# Borland makefile

LIBS = emu mathc

!include $(SOFT)\make\genbor.mak

SERIAL = $(SOFT)\src\serial1\serial.obj

EXTFILES = $(SOFT)\src\imath1\imath.obj $(SOFT)\src\filter1\filter.obj $(SOFT)\src\timer1\timer.obj $(SOFT)\src\convert1\convert.obj $(SERIAL) $(SOFT)\src\tracker1\tracker.obj

EXTADD = +-$(SOFT)\src\imath1\imath.obj +-$(SOFT)\src\filter1\filter.obj +-$(SOFT)\src\timer1\timer.obj +-$(SOFT)\src\convert1\convert.obj +-$(SERIAL) +-$(SOFT)\src\tracker1\tracker.obj

OFILES = vmouse.obj

all: $(OFILES) vstrack1.lib vmouse.exe

.c.obj:
	$(CC) $(CFLAGS) $*.c

.cpp.obj:
	$(CC) $(CFLAGS) $*.cpp

vstrack1.lib: $(EXTFILES)
	tlib vstrack1.lib /C /0 @&&!
$(EXTADD)
!

vmouse.exe: vstrack1.lib
	$(LINK) $(LFLAGS) @&&!
$(LOBJS) $(OFILES) vstrack1.lib
$*, , $(LIBS)
!

clean:
	del *.obj
	del *.bak
	del *.lib
	del *.exe
