/* test.c */
/* Created 1/15/95 */
/* Ken Hawkins */

#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include "imath1.h"
#include "vector1.h"
#include "clip.h"

stereoSMC smc;

void main(int argc,char ** argv) {
  smc.msep  = TOFIXED(0.);
  smc.vmag.x = TOFIXED(.25);
  smc.vmag.y = TOFIXED(.25);
  smc.center.x = 159;
  smc.center.y =  99;
  smc.clip.min.x = 0;
  smc.clip.min.y = 0;
  smc.clip.max.x = 319;
  smc.clip.max.y = 199;
#if 1
  smc.clip.min.z = TOFIXED(-.25);
  smc.clip.max.z = TOFIXED(-100.);
#else
  smc.clip.min.z = TOFIXED(.25);
  smc.clip.max.z = TOFIXED(100.);
#endif
  setStereoSMC(&smc);

  while (!kbhit()) {
    vec3 l[2];
    vec2 out[2];
#define LS ONE
#define LS2 (LS*2)
    l[0].x = rand() % LS2 - LS;
    l[0].y = rand() % LS2 - LS;
    l[0].z = rand() % LS2 - LS;
    l[1].x = rand() % LS2 - LS;
    l[1].y = rand() % LS2 - LS;
    l[1].z = rand() % LS2 - LS;
#if 0
#if 0
    l[0].z = TOFIXED(-.5);
    l[1].z = TOFIXED(-10.);
#else
    l[0].z = TOFIXED(.5);
    l[1].z = TOFIXED(10.);
#endif
#endif
    if (projClipLineStereo(out,l)) {
      printf("x0 %6d y0 %6d x1 %6d y1 %6d\n",
        out[0].x,out[0].y,out[1].x,out[1].y);
    } // if
  } // while
} // main
