#include <stdio.h>
#include "serial.h"

serialData sd={0};

void main() {
long status;
long i=0;
long c,wch,rch;

  status = initSerial(&sd,SERIAL_PORT_COM1,USE_16550*0,1024,1024);
  if (status != SER_OK) {
    printf("Couldn't init serial.\n");
    exit(0);
  } // if

  setBPS(&sd,115200*0 + 19200);

  printf("Uart %d\n",uartType(&sd));
  c = 0;

#define COUNT 256

  while (1) {
    if (kbhit() && getch() == 'q') break;

    for (i=0; i < COUNT; i++) {
      wch = i & 0xff;
      writeSer(&sd,wch);
    } // for

    for (i=0; i < COUNT; i++) {
      while (rxBuffEmpty(&sd)) {
        if (kbhit() && getch() == 'q') goto done;
//        printf("%d "); fflush(stdout);
//        printf("%d\n",sd.bih->flags);
      } // while
      rch = readSer(&sd);
      wch = i & 0xff;
      if (rch != wch) printf("\nW %5d R %5d\n",wch,rch);
    } // for

    printf("%5d bytes OK.\n",COUNT);

  } // while

done:

  deInitSerial(&sd);
} // main

