/* test for vfont.c */
/* Created 4/4/95 */
/* Copyright 1998 Ken Hawkins */
/* All Rights Reserved */

#include <stdio.h>
#include "imath1.h"
#include "vector1.h"
#include "vgfx1.h"
#include "clip1.h"

#include "vfont.h"

void main(int argc,char ** argv) {
vfont vf;
vec3 center;
stereoSMC smc;

  if (!(loadVFont("simple.vft",&vf))) {
    printf("Couldn't load vfont.\n");
	exit(0);
  } else {
    printf("Loaded vfont ok.\n");
  } /* if */

  initXmode();

  center.x = 159;
  center.y = 100;
  center.z = 0;

  smc.clip.min.x = 0;
  smc.clip.min.y = 0;
  smc.clip.max.x = 319;
  smc.clip.max.y = 199;

  setStereoSMC(&smc);

  drawVString(0,&vf,"This is a vector font: Centered.",0,&center,VF_ALIGN_CENTER,0xff);
  center.y += vf.interLineSpace+vf.height+1;
  drawVString(0,&vf,"This is aligned left.",0,&center,VF_ALIGN_LEFT,DCOLOR(0,0xff,0));
  center.y += vf.interLineSpace+vf.height+1;
  drawVString(0,&vf,"This aligned is right.",0,&center,VF_ALIGN_RIGHT,DCOLOR(0xff,0,0));
  center.y += vf.interLineSpace+vf.height+1;
  drawVString(0,&vf,"[Press any key to exit]",0,&center,VF_ALIGN_CENTER,DCOLOR(0,0x7f,0x7f));


  while (!kbhit());
  getch();

  deInitXmode();

} /* main */

/* test.c */
