/* test.c */
/* Created 1/15/95 */
/* Ken Hawkins */

#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include "imath1.h"
#include "vector1.h"
#include "clip1.h"
#include "vgfx.h"

stereoSMC smc;

void main(int argc,char ** argv) {
  smc.msep  = TOFIXED(0.);
  smc.vmag.x = TOFIXED(.25/16);
  smc.vmag.y = TOFIXED(.25/16);
  smc.center.x = 159;
  smc.center.y = 199;
  smc.clip.min.x = 0;
  smc.clip.min.y = 0;
  smc.clip.max.x = 319;
  smc.clip.max.y = 399;
#if 1
  smc.clip.min.z = TOFIXED(-.25);
  smc.clip.max.z = TOFIXED(-2500.);
#else
  smc.clip.min.z = TOFIXED(.25);
  smc.clip.max.z = TOFIXED(100.);
#endif
  setStereoSMC(&smc);

  initXmode();

  while (!kbhit()) {
    vec3 l[2];
    vec2 out[2];
#define LS ONE
#define LS2 (LS*2)
    l[0].x = rand() % LS2 - LS;
    l[0].y = rand() % LS2 - LS;
    l[0].z = rand() % LS2 - LS;
    l[1].x = rand() % LS2 - LS;
    l[1].y = rand() % LS2 - LS;
    l[1].z = rand() % LS2 - LS;
#if 1
#if 1
    l[0].z = TOFIXED(-.5);
    l[1].z = TOFIXED(-10.);
#else
    l[0].z = TOFIXED(.5);
    l[1].z = TOFIXED(10.);
#endif
#endif
    if (projClipLineStereo(out,l)) {
      drawLine(0,out,rand() & 0xff);
    } // if
#if 0
    out[0].x = rand()%320;
    out[0].y = rand()%400;
    out[1].x = rand()%320;
    out[1].y = rand()%400;
#endif
    drawLine(0,out,rand()&0xff);
  } // while

  deInitXmode();

} // main
