/* vgfx.h */
/* Created 1/13/95 */
/* Copyright 1998 Ken Hawkins */
/* All Rights Reserved */

#ifndef VGFX_H
#define VGFX_H

#define VMODE_320x200_256 0x13

#define DCOLOR(r,g,b) (((b)*3/255)<<6)|(((g)*7/255)<<3)|((r)*7/255)
#define DAC(r,g,b) (((b)<<6)|((g)<<3)|(r))

void setOverscanColor(long color);

void setPalette(long * colors,long count);

void setVmode(long mode);

void restoreVmode(void);

void initXmode(void);

void deInitXmode(void);

void computeOffsets(long stereo);

void setViewPageAddr(ulong addr);

void waitVS(void);

void clearpage400(long page,long color);

void setPixel(long page,long x,long y,long color);

void drawLine(long page,vec2 * l,long color);

void fillRect(long page,vec2 * extent,long color);

void dline(long page,vec2 * v,long color);

#endif

/* vgfx.h */
